Manage tab value¶
Get values of custom tab¶
Returns the custom tab values for a given entity.
GET /{entityName}/{entityId}/tabs/{tabId}/values
Output example:
[
{
"Id": "1a97acd9-27af-4ba6-b4f3-431f6c39a44d",
"Fields": [
{
"Id": "8b773b85-a6cd-4dc8-bdb5-941983f27599",
"Name": "Trade"
},
{
"Id": "d37272b1-7546-499b-a47d-e1e3c4ce03c4",
"Name": "Hours worked"
},
{
"Id": "14c06acc-5379-45e1-a0ea-5d4bdbbc81cc",
"Name": "Employee Code"
},
{
"Id": "f1c4124f-0795-40b7-9048-6112a86dfbe8",
"Name": "Employee Name"
}
],
"Values": [
{
"Record": [
"MAINT",
7.0,
"ECO-STT",
"Stan Tang"
]
},
{
"Record": [
"MAINT",
2.0,
"ECO-LHT",
"Lenny Hong"
]
},
{
"Record": [
"MAINT",
5.0,
"ECO-SCC",
"Suise Chaing"
]
}
]
}
]
Set the values for a custom tab¶
Sets the values for a given tab. This method replaces the entire data set for the tab. To clear all values, call this method with an empty values array.
POST /{entityName}/{entityId}/tabs/{tabId}/values
Body:
{
"Id": "1a97acd9-27af-4ba6-b4f3-431f6c39a44d",
"Fields": [
{
"Id": "14c06acc-5379-45e1-a0ea-5d4bdbbc81cc"
},
{
"Id": "f1c4124f-0795-40b7-9048-6112a86dfbe8"
},
{
"Id": "8b773b85-a6cd-4dc8-bdb5-941983f27599"
},
{
"Id": "d37272b1-7546-499b-a47d-e1e3c4ce03c4"
}
],
"Values": [
{
"Record": [
"ECO-STT",
"Stan Tang",
"MAINT",
7
]
},
{
"Record": [
"ECO-LHT",
"Lenny Hong",
"MAINT",
2
]
},
{
"Record": [
"ECO-SCC",
"Suise Chaing",
"MAINT",
5
]
}
]
}
Example:
